Skip to main content
GET
/
v2
/
auth
/
tokens
List Oauth Tokens For User
curl --request GET \
  --url https://api.example.com/v2/auth/tokens
import requests

url = "https://api.example.com/v2/auth/tokens"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/auth/tokens', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "provider_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "provider_account_label": "<string>",
    "scopes": [],
    "expires_at": "2023-11-07T05:31:56Z",
    "is_default": false
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Query Parameters

provider_id
string | null

OAuth provider ID

Response

Successful Response

id
string
required
provider_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_account_label
string | null
scopes
string[]
expires_at
string<date-time> | null
is_default
boolean
default:false